| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Multiply-accumulate of 16b x 16b complex integer datatypes
Vector Operations » Multiply Accumulate

## elem_16
*‍/MAC_F(v16cacc64, 32, 0, 1, v8cint32, cint16, 1,1,I64, elem_16, BMODE_I64_32x16, CMODE_SEL_DONT_CARE, CMODE_SEL_DONT_CARE, VARIANT_32x16_2_elem_cplx, intr_gpvectorop_mul_elem_scl_32bx16b_cmplx, 0, _);
v16cacc64 | mul_elem_16 (v16cint16 a, v16cint16 b)
v16cacc64 | negmul_elem_16 (v16cint16 a, v16cint16 b)
v16cacc64 | mac_elem_16 (v16cint16 a, v16cint16 b, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint16 a, v16cint16 b, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint16 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint16 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | mul_elem_16 (v16cint16 a, cint16 b)
v16cacc64 | negmul_elem_16 (v16cint16 a, cint16 b)
v16cacc64 | mac_elem_16 (v16cint16 a, cint16 b, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint16 a, cint16 b, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint16 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint16 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | mul_elem_16 (v16cint32 a, v16cint16 b)
v16cacc64 | negmul_elem_16 (v16cint32 a, v16cint16 b)
v16cacc64 | mac_elem_16 (v16cint32 a, v16cint16 b, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint32 a, v16cint16 b, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint32 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint32 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | mul_elem_16 (v16cint32 a, cint16 b)
v16cacc64 | negmul_elem_16 (v16cint32 a, cint16 b)
v16cacc64 | mac_elem_16 (v16cint32 a, cint16 b, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint32 a, cint16 b, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint32 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint32 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2)

## elem_16 with dynamic sign
v16cacc64 | mul_elem_16 (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y)
v16cacc64 | negmul_elem_16 (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y)
v16cacc64 | mac_elem_16 (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | mul_elem_16 (v16cint16 a, int sgn_x, cint16 b, int sgn_y)
v16cacc64 | negmul_elem_16 (v16cint16 a, int sgn_x, cint16 b, int sgn_y)
v16cacc64 | mac_elem_16 (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | mul_elem_16 (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y)
v16cacc64 | negmul_elem_16 (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y)
v16cacc64 | mac_elem_16 (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | mul_elem_16 (v16cint32 a, int sgn_x, cint16 b, int sgn_y)
v16cacc64 | negmul_elem_16 (v16cint32 a, int sgn_x, cint16 b, int sgn_y)
v16cacc64 | mac_elem_16 (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | msc_elem_16 (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | addmac_elem_16 (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16 (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)

## elem_16 with dynamic negation of multiplication result
v16cacc64 | mul_elem_16_conf (v16cint16 a, v16cint16 b, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint16 a, v16cint16 b, int sub_mask, int sub_mul)
v16cacc64 | mul_elem_16_conf (v16cint16 a, cint16 b, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint16 a, cint16 b, int sub_mask, int sub_mul)
v16cacc64 | mul_elem_16_conf (v16cint32 a, v16cint16 b, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint32 a, v16cint16 b, int sub_mask, int sub_mul)
v16cacc64 | mul_elem_16_conf (v16cint32 a, cint16 b, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint32 a, cint16 b, int sub_mask, int sub_mul)

## elem_16 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v16cacc64 | mac_elem_16_conf (v16cint16 a, v16cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint16 a, v16cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint16 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint16 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | mac_elem_16_conf (v16cint16 a, cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint16 a, cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint16 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint16 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | mac_elem_16_conf (v16cint32 a, v16cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint32 a, v16cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint32 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint32 a, v16cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | mac_elem_16_conf (v16cint32 a, cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint32 a, cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint32 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint32 a, cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)

## elem_16 with dynamic sign and dynamic negation of multiplication result
v16cacc64 | mul_elem_16_conf (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | mac_elem_16_conf (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint16 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | mul_elem_16_conf (v16cint16 a, int sgn_x, cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint16 a, int sgn_x, cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | mac_elem_16_conf (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint16 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | mul_elem_16_conf (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | mac_elem_16_conf (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint32 a, int sgn_x, v16cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | mul_elem_16_conf (v16cint32 a, int sgn_x, cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_conf (v16cint32 a, int sgn_x, cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | mac_elem_16_conf (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_conf (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_conf (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_conf (v16cint32 a, int sgn_x, cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)

## elem_16_2
v16cacc64 | mul_elem_16_2 (v32cint16 a, v32cint16 b)
v16cacc64 | negmul_elem_16_2 (v32cint16 a, v32cint16 b)
v16cacc64 | mac_elem_16_2 (v32cint16 a, v32cint16 b, v16cacc64 acc)
v16cacc64 | msc_elem_16_2 (v32cint16 a, v32cint16 b, v16cacc64 acc)
v16cacc64 | addmac_elem_16_2 (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16_2 (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)

## elem_16_2 with dynamic sign
v16cacc64 | mul_elem_16_2 (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y)
v16cacc64 | negmul_elem_16_2 (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y)
v16cacc64 | mac_elem_16_2 (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | msc_elem_16_2 (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc)
v16cacc64 | addmac_elem_16_2 (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16_2 (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2)

## elem_16_2 with dynamic negation of multiplication result
v16cacc64 | mul_elem_16_2_conf (v32cint16 a, v32cint16 b, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_2_conf (v32cint16 a, v32cint16 b, int sub_mask, int sub_mul)

## elem_16_2 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v16cacc64 | mac_elem_16_2_conf (v32cint16 a, v32cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_2_conf (v32cint16 a, v32cint16 b, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_2_conf (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_2_conf (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)

## elem_16_2 with dynamic sign and dynamic negation of multiplication result
v16cacc64 | mul_elem_16_2_conf (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | negmul_elem_16_2_conf (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, int sub_mask, int sub_mul)
v16cacc64 | mac_elem_16_2_conf (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | msc_elem_16_2_conf (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc, int zero_acc, int shift16, int sub_mask, int sub_mul, int sub_acc1)
v16cacc64 | addmac_elem_16_2_conf (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v16cacc64 | addmsc_elem_16_2_conf (v32cint16 a, int sgn_x, v32cint16 b, int sgn_y, v16cacc64 acc1, v16cacc64 acc2, int zero_acc1, int shift16, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)

## Channel by channel complex multiplication of (1x2) with (2x1) with a & b conjugate
*‍/MAC_F( v8cacc64, 32, 0, 1, v16cint16, v16cint16, 1,1,I64, elem_8_2, BMODE_I64_16x16, CMODE_SEL_DONT_CARE, CMODE_SEL_DONT_CARE, VARIANT_16x16_2_elem_2_cplx, intr_gpvectorop_mul_16bx16b_complex, 0, _);
v16cacc64 | mul_elem_16_2_cc (v32cint16 a, v32cint16 b)
v16cacc64 | negmul_elem_16_2_cc (v32cint16 a, v32cint16 b)
v16cacc64 | mac_elem_16_2_cc (v32cint16 a, v32cint16 b, v16cacc64 acc1)
v16cacc64 | msc_elem_16_2_cc (v32cint16 a, v32cint16 b, v16cacc64 acc1)
v16cacc64 | addmac_elem_16_2_cc (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16_2_cc (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)

## Channel by channel complex multiplication of (1x2) with (2x1) with a conjugate only
v16cacc64 | mul_elem_16_2_cn (v32cint16 a, v32cint16 b)
v16cacc64 | negmul_elem_16_2_cn (v32cint16 a, v32cint16 b)
v16cacc64 | mac_elem_16_2_cn (v32cint16 a, v32cint16 b, v16cacc64 acc1)
v16cacc64 | msc_elem_16_2_cn (v32cint16 a, v32cint16 b, v16cacc64 acc1)
v16cacc64 | addmac_elem_16_2_cn (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16_2_cn (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)

## Channel by channel complex multiplication of (1x2) with (2x1) with b conjugate only
v16cacc64 | mul_elem_16_2_nc (v32cint16 a, v32cint16 b)
v16cacc64 | negmul_elem_16_2_nc (v32cint16 a, v32cint16 b)
v16cacc64 | mac_elem_16_2_nc (v32cint16 a, v32cint16 b, v16cacc64 acc1)
v16cacc64 | msc_elem_16_2_nc (v32cint16 a, v32cint16 b, v16cacc64 acc1)
v16cacc64 | addmac_elem_16_2_nc (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)
v16cacc64 | addmsc_elem_16_2_nc (v32cint16 a, v32cint16 b, v16cacc64 acc1, v16cacc64 acc2)

## Detailed Description

## Function Documentation

## ◆ addmac_elem_16() [1/8]

v16cacc64 addmac_elem_16 | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [2/8]

v16cacc64 addmac_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [3/8]

v16cacc64 addmac_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [4/8]

v16cacc64 addmac_elem_16 | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [5/8]

v16cacc64 addmac_elem_16 | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [6/8]

v16cacc64 addmac_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [7/8]

v16cacc64 addmac_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16() [8/8]

v16cacc64 addmac_elem_16 | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16_2() [1/2]

v16cacc64 addmac_elem_16_2 | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16_2() [2/2]

v16cacc64 addmac_elem_16_2 | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmac_elem_16_2_cc()

v16cacc64 addmac_elem_16_2_cc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_elem_16_2_cn()

v16cacc64 addmac_elem_16_2_cn | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_elem_16_2_conf() [1/2]

v16cacc64 addmac_elem_16_2_conf | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_2_conf() [2/2]

v16cacc64 addmac_elem_16_2_conf | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_2_nc()

v16cacc64 addmac_elem_16_2_nc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_elem_16_conf() [1/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [2/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [3/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [4/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [5/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [6/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [7/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_16_conf() [8/8]

v16cacc64 addmac_elem_16_conf | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16() [1/8]

v16cacc64 addmsc_elem_16 | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [2/8]

v16cacc64 addmsc_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [3/8]

v16cacc64 addmsc_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [4/8]

v16cacc64 addmsc_elem_16 | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [5/8]

v16cacc64 addmsc_elem_16 | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [6/8]

v16cacc64 addmsc_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [7/8]

v16cacc64 addmsc_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16() [8/8]

v16cacc64 addmsc_elem_16 | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16_2() [1/2]

v16cacc64 addmsc_elem_16_2 | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16_2() [2/2]

v16cacc64 addmsc_elem_16_2 | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

## ◆ addmsc_elem_16_2_cc()

v16cacc64 addmsc_elem_16_2_cc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_elem_16_2_cn()

v16cacc64 addmsc_elem_16_2_cn | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_elem_16_2_conf() [1/2]

v16cacc64 addmsc_elem_16_2_conf | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_2_conf() [2/2]

v16cacc64 addmsc_elem_16_2_conf | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_2_nc()

v16cacc64 addmsc_elem_16_2_nc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_elem_16_conf() [1/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [2/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [3/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [4/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [5/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [6/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [7/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_16_conf() [8/8]

v16cacc64 addmsc_elem_16_conf | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc1,
|  | v16cacc64 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ mac_elem_16() [1/8]

v16cacc64 mac_elem_16 | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [2/8]

v16cacc64 mac_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [3/8]

v16cacc64 mac_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [4/8]

v16cacc64 mac_elem_16 | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [5/8]

v16cacc64 mac_elem_16 | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [6/8]

v16cacc64 mac_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [7/8]

v16cacc64 mac_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ mac_elem_16() [8/8]

v16cacc64 mac_elem_16 | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc )

## ◆ mac_elem_16_2() [1/2]

v16cacc64 mac_elem_16_2 | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ mac_elem_16_2() [2/2]

v16cacc64 mac_elem_16_2 | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc )

## ◆ mac_elem_16_2_cc()

v16cacc64 mac_elem_16_2_cc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_elem_16_2_cn()

v16cacc64 mac_elem_16_2_cn | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_elem_16_2_conf() [1/2]

v16cacc64 mac_elem_16_2_conf | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_2_conf() [2/2]

v16cacc64 mac_elem_16_2_conf | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_2_nc()

v16cacc64 mac_elem_16_2_nc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_elem_16_conf() [1/8]

v16cacc64 mac_elem_16_conf | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [2/8]

v16cacc64 mac_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [3/8]

v16cacc64 mac_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [4/8]

v16cacc64 mac_elem_16_conf | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [5/8]

v16cacc64 mac_elem_16_conf | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [6/8]

v16cacc64 mac_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [7/8]

v16cacc64 mac_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_16_conf() [8/8]

v16cacc64 mac_elem_16_conf | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16() [1/8]

v16cacc64 msc_elem_16 | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [2/8]

v16cacc64 msc_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [3/8]

v16cacc64 msc_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [4/8]

v16cacc64 msc_elem_16 | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [5/8]

v16cacc64 msc_elem_16 | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [6/8]

v16cacc64 msc_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [7/8]

v16cacc64 msc_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ msc_elem_16() [8/8]

v16cacc64 msc_elem_16 | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc )

## ◆ msc_elem_16_2() [1/2]

v16cacc64 msc_elem_16_2 | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc )

## ◆ msc_elem_16_2() [2/2]

v16cacc64 msc_elem_16_2 | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc )

## ◆ msc_elem_16_2_cc()

v16cacc64 msc_elem_16_2_cc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_elem_16_2_cn()

v16cacc64 msc_elem_16_2_cn | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_elem_16_2_conf() [1/2]

v16cacc64 msc_elem_16_2_conf | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_2_conf() [2/2]

v16cacc64 msc_elem_16_2_conf | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_2_nc()

v16cacc64 msc_elem_16_2_nc | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | v16cacc64 | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_elem_16_conf() [1/8]

v16cacc64 msc_elem_16_conf | ( | v16cint16 | a,
|  | cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [2/8]

v16cacc64 msc_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [3/8]

v16cacc64 msc_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [4/8]

v16cacc64 msc_elem_16_conf | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [5/8]

v16cacc64 msc_elem_16_conf | ( | v16cint32 | a,
|  | cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [6/8]

v16cacc64 msc_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [7/8]

v16cacc64 msc_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_16_conf() [8/8]

v16cacc64 msc_elem_16_conf | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | v16cacc64 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mul_elem_16() [1/8]

v16cacc64 mul_elem_16 | ( | v16cint16 | a,
|  | cint16 | b )

## ◆ mul_elem_16() [2/8]

v16cacc64 mul_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y )

## ◆ mul_elem_16() [3/8]

v16cacc64 mul_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y )

## ◆ mul_elem_16() [4/8]

v16cacc64 mul_elem_16 | ( | v16cint16 | a,
|  | v16cint16 | b )

## ◆ mul_elem_16() [5/8]

v16cacc64 mul_elem_16 | ( | v16cint32 | a,
|  | cint16 | b )

## ◆ mul_elem_16() [6/8]

v16cacc64 mul_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y )

## ◆ mul_elem_16() [7/8]

v16cacc64 mul_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y )

## ◆ mul_elem_16() [8/8]

v16cacc64 mul_elem_16 | ( | v16cint32 | a,
|  | v16cint16 | b )

## ◆ mul_elem_16_2() [1/2]

v16cacc64 mul_elem_16_2 | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y )

## ◆ mul_elem_16_2() [2/2]

v16cacc64 mul_elem_16_2 | ( | v32cint16 | a,
|  | v32cint16 | b )

## ◆ mul_elem_16_2_cc()

v16cacc64 mul_elem_16_2_cc | ( | v32cint16 | a,
|  | v32cint16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_elem_16_2_cn()

v16cacc64 mul_elem_16_2_cn | ( | v32cint16 | a,
|  | v32cint16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_elem_16_2_conf() [1/2]

v16cacc64 mul_elem_16_2_conf | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_2_conf() [2/2]

v16cacc64 mul_elem_16_2_conf | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_2_nc()

v16cacc64 mul_elem_16_2_nc | ( | v32cint16 | a,
|  | v32cint16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_elem_16_conf() [1/8]

v16cacc64 mul_elem_16_conf | ( | v16cint16 | a,
|  | cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [2/8]

v16cacc64 mul_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [3/8]

v16cacc64 mul_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [4/8]

v16cacc64 mul_elem_16_conf | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [5/8]

v16cacc64 mul_elem_16_conf | ( | v16cint32 | a,
|  | cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [6/8]

v16cacc64 mul_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [7/8]

v16cacc64 mul_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ mul_elem_16_conf() [8/8]

v16cacc64 mul_elem_16_conf | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16() [1/8]

v16cacc64 negmul_elem_16 | ( | v16cint16 | a,
|  | cint16 | b )

## ◆ negmul_elem_16() [2/8]

v16cacc64 negmul_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_16() [3/8]

v16cacc64 negmul_elem_16 | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_16() [4/8]

v16cacc64 negmul_elem_16 | ( | v16cint16 | a,
|  | v16cint16 | b )

## ◆ negmul_elem_16() [5/8]

v16cacc64 negmul_elem_16 | ( | v16cint32 | a,
|  | cint16 | b )

## ◆ negmul_elem_16() [6/8]

v16cacc64 negmul_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_16() [7/8]

v16cacc64 negmul_elem_16 | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_16() [8/8]

v16cacc64 negmul_elem_16 | ( | v16cint32 | a,
|  | v16cint16 | b )

## ◆ negmul_elem_16_2() [1/2]

v16cacc64 negmul_elem_16_2 | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_16_2() [2/2]

v16cacc64 negmul_elem_16_2 | ( | v32cint16 | a,
|  | v32cint16 | b )

## ◆ negmul_elem_16_2_cc()

v16cacc64 negmul_elem_16_2_cc | ( | v32cint16 | a,
|  | v32cint16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_elem_16_2_cn()

v16cacc64 negmul_elem_16_2_cn | ( | v32cint16 | a,
|  | v32cint16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_elem_16_2_conf() [1/2]

v16cacc64 negmul_elem_16_2_conf | ( | v32cint16 | a,
|  | int | sgn_x,
|  | v32cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_2_conf() [2/2]

v16cacc64 negmul_elem_16_2_conf | ( | v32cint16 | a,
|  | v32cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_2_nc()

v16cacc64 negmul_elem_16_2_nc | ( | v32cint16 | a,
|  | v32cint16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_elem_16_conf() [1/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint16 | a,
|  | cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [2/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [3/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint16 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [4/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint16 | a,
|  | v16cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [5/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint32 | a,
|  | cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [6/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [7/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint32 | a,
|  | int | sgn_x,
|  | v16cint16 | b,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

## ◆ negmul_elem_16_conf() [8/8]

v16cacc64 negmul_elem_16_conf | ( | v16cint32 | a,
|  | v16cint16 | b,
|  | int | sub_mask,
|  | int | sub_mul )